> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return e-verify case data

> Return e-verify case data for the specified e-verify Case ID



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/everifyCases/{id}
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/everifyCases/{id}:
    get:
      tags:
        - EVerify
      summary: Return e-verify case data
      description: Return e-verify case data for the specified e-verify Case ID
      operationId: getEVerifyCaseById
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                Requesting information for a specific e-verify case with HATEOAS links:
                  description: >-
                    Requesting information for a specific e-verify case with
                    HATEOAS links
                  summary: EVerify information
                  value:
                    everifyCase:
                      auditLogs:
                        - details:
                            status: submitted
                          name: case_status_change
                          serverTimestamp: '2025-05-05T15:45:15-06:00'
                        - details:
                            status: draft
                          name: case_status_change
                          serverTimestamp: '2025-05-05T15:45:15-06:00'
                        - details:
                            status: closed_authorized
                          name: case_status_change
                          serverTimestamp: '2025-05-05T15:45:17-06:00'
                      caseCreatedAt: '2025-05-05T15:45:15.000-06:00'
                      caseId: 2025384082085BU
                      caseResultAt: '2025-05-05T15:45:17.000-06:00'
                      caseStatus: closed_authorized
                      deleteable: false
                      everifyAccountId: 1
                      rawResponse:
                        caseEligibilityStatement: EMPLOYMENT_AUTHORIZED
                        caseStatus: CLOSED
                        caseStatusDisplay: Closed
                      receipt: false
                      tncI9Correct: false
                      unconfirmedDataFields: []
                      visitEverify: false
                    id: 123
                    submission:
                      employeeId: 0196ab05-2729-70f4-9be9-1211aec1bba9
                      submissionId: 72
              schema:
                $ref: '#/components/schemas/EVerifyCaseResponse'
          description: OK
        '400':
          description: Bad Request, make sure to use GET request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    EVerifyCaseResponse:
      description: EVerifyCase response
      properties:
        everifyCase:
          $ref: '#/components/schemas/CaseDetails'
          description: E-Verify Case information
        id:
          format: int32
          type: integer
        submission:
          $ref: '#/components/schemas/EVerifySubmission'
          description: Submission
      type: object
    CaseDetails:
      description: E-Verify Case information
      properties:
        everifyCase:
          $ref: '#/components/schemas/EVerifyCase'
        submission:
          $ref: '#/components/schemas/EVerifySubmission'
      type: object
    EVerifySubmission:
      properties:
        employeeId:
          format: uuid
          type: string
        submissionId:
          format: int32
          type: integer
      type: object
    EVerifyCase:
      properties:
        auditLogs:
          items:
            $ref: '#/components/schemas/AuditLog'
          type: array
        caseCreatedAt:
          type: string
        caseId:
          type: string
        caseResultAt:
          type: string
        caseStatus:
          type: string
        closureReasons:
          items:
            $ref: '#/components/schemas/ClosureReason'
          type: array
        deadlineOn:
          type: string
        deleteable:
          type: boolean
        duplicateContinueReasonCode:
          type: string
        duplicateContinueReasonOther:
          type: string
        duplicateContinueReasons:
          items:
            type: object
          type: array
        errors:
          items:
            type: object
          type: array
        everifyAccountId:
          format: int32
          type: integer
        fanReviewed:
          type: boolean
        fanUrl:
          type: string
        fanUrlSpanish:
          type: string
        rawResponse:
          $ref: '#/components/schemas/RawResponse'
        rdcUrl:
          type: string
        rdcUrlSpanish:
          type: string
        receipt:
          type: boolean
        submissionErrorType:
          type: string
        tncAction:
          type: string
        tncI9Correct:
          type: boolean
        tncReview:
          items:
            type: string
          type: array
        unconfirmedDataFields:
          items:
            $ref: '#/components/schemas/UnconfirmedDataFields'
          type: array
        visitEverify:
          type: boolean
      type: object
    AuditLog:
      properties:
        actorId:
          format: int64
          type: integer
        actorType:
          enum:
            - admin
            - employee
            - user
          type: string
        details:
          $ref: '#/components/schemas/AuditLogDetails'
        eventName:
          type: string
        request:
          $ref: '#/components/schemas/AuditLogRequest'
        serverTimestamp:
          format: date-time
          type: string
      type: object
    ClosureReason:
      properties:
        code:
          type: string
        name:
          type: string
      type: object
    RawResponse:
      properties:
        caseEligibilityStatement:
          type: string
        caseStatus:
          type: string
        caseStatusDisplay:
          type: string
        dhsReferralStatus:
          type: string
      type: object
    UnconfirmedDataFields:
      properties:
        label:
          type: string
        name:
          type: string
        type:
          type: string
        value:
          type: string
      type: object
    AuditLogDetails:
      properties:
        action:
          type: string
        actorName:
          type: string
        controller:
          type: string
        documentReview:
          $ref: '#/components/schemas/AuditLogDocumentReview'
        i9RemoteReverify:
          $ref: '#/components/schemas/AuditLogRemoteReverify'
        info:
          type: string
        photoConfirmation:
          type: string
        status:
          type: string
        subdomain:
          type: string
        subsidiary:
          type: string
      type: object
    AuditLogRequest:
      properties:
        referrer:
          type: string
        remoteIp:
          type: string
        serverName:
          type: string
        url:
          type: string
        userAgent:
          type: string
      type: object
    AuditLogDocumentReview:
      properties:
        documentSetIndex:
          format: int32
          type: integer
        match:
          type: string
        mismatchReasons:
          items:
            type: string
          type: array
      type: object
    AuditLogRemoteReverify:
      properties:
        actor:
          type: string
        authorizedRepresentivePhoneNumber:
          type: string
        coordinates:
          $ref: '#/components/schemas/AuditLogGeoLocation'
        eventType:
          type: string
        qrSecretMatched:
          type: boolean
      type: object
    AuditLogGeoLocation:
      properties:
        latitude:
          type: string
        longitude:
          type: string
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````